## altos 1.9

=== src/Makefile ===
#
# AltOS build
#

vpath make-altitude util
vpath make-altitude-pa util
vpath make-kalman util
vpath make-whiten util
vpath kalman.5c kalman
vpath kalman_filter.5c kalman
vpath kalman_micro.5c kalman
vpath load_csv.5c kalman
vpath matrix.5c kalman

include Version
TOPDIR=.
include Makedefs

ARMM3DIRS=\
	easymega-v1.0 easymega-v1.0/flash-loader \
	easymega-v2.0 easymega-v2.0/flash-loader \
	telemega-v0.1 telemega-v0.1/flash-loader \
	telemega-v1.0 telemega-v1.0/flash-loader \
	telemega-v2.0 telemega-v2.0/flash-loader \
	telemega-v3.0 telemega-v3.0/flash-loader \
	telemetrum-v2.0 telemetrum-v2.0/flash-loader \
	telemetrum-v3.0 telemetrum-v3.0/flash-loader \
	telegps-v0.3 telegps-v0.3/flash-loader \
	telegps-v1.0 telegps-v1.0/flash-loader \
	telegps-v2.0 telegps-v2.0/flash-loader \
	telelco-v0.2 telelco-v0.2/flash-loader \
	telelco-v0.2-cc1200 telelco-v0.2-cc1200/flash-loader \
	telelco-v0.3 telelco-v0.3/flash-loader \
	telelco-v2.0 telelco-v2.0/flash-loader \
	teledongle-v3.0 teledongle-v3.0/flash-loader \
	teleballoon-v2.0 \
	telebt-v3.0 telebt-v3.0/flash-loader \
	telebt-v4.0 telebt-v4.0/flash-loader \
	telelcotwo-v0.1 telelcotwo-v0.1/flash-loader \
	telefiretwo-v0.1 telefiretwo-v0.1/flash-loader \
	telefireeight-v1.0 telefireeight-v1.0/flash-loader 

ARMM0DIRS=\
	easymini-v1.0 easymini-v1.0/flash-loader \
	chaoskey-v1.0 chaoskey-v1.0/flash-loader \
	telemini-v3.0 telemini-v3.0/flash-loader \
	easymini-v2.0 easymini-v2.0/flash-loader \
	micropeak-v2.0 micropeak-v2.0/flash-loader

AVRDIRS=\
	micropeak microkite

SUBDIRS=

ifeq ($(strip $(HAVE_ARM_M3_CC)),yes)
SUBDIRS+=$(ARMM3DIRS)
foo=bar
endif

ifeq ($(strip $(HAVE_ARM_M0_CC)),yes)
SUBDIRS+=$(ARMM0DIRS)
baz=bletch
endif

ifeq ($(strip $(HAVE_AVR_CC)),yes)
SUBDIRS += $(AVRDIRS)
endif

ALLDIRS=$(ARMM3DIRS) $(ARMM0DIRS) $(AVRDIRS)

all: all-local all-recursive

RECURSIVE_TARGETS = all-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

ALL_RECURSIVE_TARGETS = clean-recursive

$(ALL_RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(ALLDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-local clean-recursive

install: install-recursive

uninstall:

all-recursive: all-local

all-local: altitude.h altitude-pa.h altitude-pa-small.h ao_kalman.h ao_whiten.h $(PDCLIB)

altitude.h: make-altitude
	nickle $< > $@

altitude-pa.h: make-altitude-pa
	nickle $< > $@

altitude-pa-small.h: make-altitude-pa
	nickle $< --sample 3 > $@

ao_kalman.h: make-kalman kalman.5c kalman_micro.5c kalman_filter.5c load_csv.5c matrix.5c
	bash $< kalman > $@

ao_whiten.h: make-whiten
	nickle $< > $@

clean-local: $(CLEAN_PDCLIB)
	rm -f altitude.h ao_kalman.h

=== src/avr-demo/Makefile ===
#
# AltOS build
#
#
vpath % ..:../kernel:../product:../drivers:../avr
vpath make-altitude ..
vpath make-kalman ..
vpath kalman.5c ../kalman
vpath kalman_filter.5c ../kalman
vpath load_csv.5c ../kalman
vpath matrix.5c ../kalman
vpath ao-make-product.5c ../util

include ../avr/Makefile.defs

MCU=atmega32u4
DUDECPUTYPE=m32u4
#PROGRAMMER=stk500v2 -P usb
LOADARG=-p $(DUDECPUTYPE) -c $(PROGRAMMER) -e -U flash:w:

INC = \
	ao.h \
	ao_pins.h \
	altitude.h \
	ao_kalman.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_cmd.c \
	ao_mutex.c \
	ao_panic.c \
	ao_product.c \
	ao_romconfig.c \
	ao_serial_avr.c \
	ao_avr_stdio.c \
	ao_stdio.c \
	ao_task.c \
	ao_timer.c \
	ao_led_avr.c \
	ao_usb_avr.c \
	ao_lcd.c

PRODUCT=AvrDemo-v0.0
MCU=atmega32u4
PRODUCT_DEF=-DAVR_DEMO
IDPRODUCT=0x000a
CFLAGS = $(PRODUCT_DEF) -I. -I../avr -I../kernel -I..
CFLAGS += -g -mmcu=$(MCU) -Wall -Wstrict-prototypes -Os -mcall-prologues

NICKLE=nickle

PROG=avr-demo

SRC=$(ALTOS_SRC) ao_demo.c ao_debug_avr.c
OBJ=$(SRC:.c=.o)

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)

$(PROG).hex: $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@


load: $(PROG).hex
	$(LOADCMD) $(LOADARG)$(PROG).hex

../altitude.h: make-altitude
	nickle $< > $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.rel: ao_product.c ao_product.h
	$(call quiet,CC) -c $(CFLAGS) -D PRODUCT_DEFS='\"ao_product.h\"' -o$@ $<

distclean:	clean

clean:
	rm -f $(OBJ)
	rm -f ao_product.h

install:

uninstall:

$(OBJ): ao.h ao_product.h

=== src/chaoskey-v0.1/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	ao_adc_fast.h \
	ao_power.h \
	stm32f0.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_timer.c \
	ao_panic.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_adc_fast.c \
	ao_crc_stm.c \
	ao_stdio.c \
	ao_led_stmf0.c \
	ao_romconfig.c \
	ao_boot_chain.c \
	ao_usb_stm.c \
	ao_trng_send.c \
	ao_task.c \
	ao_power.c \
	ao_gpio.c \
	ao_product.c

PRODUCT=ChaosKey-hw-0.3-sw-$(VERSION)
PRODUCT_DEF=-DCHAOSKEY_V_0_1
IDVENDOR=0x1d50
IDPRODUCT=0x60c6

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS) -g -Os

PROGNAME=chaoskey-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_chaoskey.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -V $(IDVENDOR) -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) -o $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/chaoskey-v1.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	ao_adc_fast.h \
	ao_power.h \
	ao_flash_readout.h \
	ao_crc.h \
	stm32f0.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_timer.c \
	ao_panic.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_adc_fast.c \
	ao_crc_stm.c \
	ao_stdio.c \
	ao_led_stmf0.c \
	ao_romconfig.c \
	ao_boot_chain.c \
	ao_usb_stm.c \
	ao_trng_send.c \
	ao_flash_readout.c \
	ao_task.c \
	ao_power.c \
	ao_gpio.c \
	ao_product.c

VENDOR=AltusMetrum
PROJECT_NAME=ChaosKey
PRODUCT=ChaosKey-hw-1.0-sw-$(VERSION)
PRODUCT_DEF=-DCHAOSKEY_V_1_0
IDVENDOR=0x1d50
IDPRODUCT=0x60c6

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS) -g -Os

PROGNAME=chaoskey-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
BIN=$(PROGNAME)-all-$(VERSION).bin
METAINFO=org.altusmetrum.ChaosKey.metainfo.xml

SRC=$(ALTOS_SRC) ao_chaoskey.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BIN)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -V $(IDVENDOR) -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) -o $@

$(OBJ): $(INC)

$(BIN): $(PROG) $(LOADER)
	$(MAKEBIN) --output=$@ --base=$(FLASH_ADDR) $(LOADER) $(PROG)

$(LOADER):
	+cd flash-loader && make

%.cab: $(PROG) $(HEX) $(METAINFO)
	gcab --create --nopath $@ $(PROG) $(HEX) $(METAINFO)

cab: $(VENDOR)-$(PROJECT_NAME)-$(VERSION).cab

check: $(METAINFO)
	appstream-util validate-relax $(METAINFO)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx *.bin
	rm -f ao_product.h
	rm -f *.cab

install:

uninstall:

=== src/detherm/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	stm32f0.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_timer.c \
	ao_panic.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_usb_stm.c \
	ao_spi_stm.c \
	ao_exti_stm.c \
	ao_stdio.c \
	ao_led_stmf0.c \
	ao_log.c \
	ao_log_mini.c \
	ao_sample.c \
	ao_data.c \
	ao_kalman.c \
	ao_flight.c \
	ao_report.c \
	ao_storage.c \
	ao_m25.c \
	ao_romconfig.c \
	ao_boot_chain.c \
	ao_ms5607.c \
	ao_convert_pa.c \
	ao_pwm.c \
	ao_servo.c \
	ao_task.c \
	ao_config.c \
	ao_cmd.c \
	ao_product.c

PRODUCT=Detherm-v1.0
PRODUCT_DEF=-DDETHERM_V_1_0
IDPRODUCT=0x0013

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS) -g -Os

PROGNAME=detherm-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_detherm.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) -o $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/easymega-v1.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_hmc5883.h \
	ao_mpu6000.h \
	ao_mma655x.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#
#	ao_hmc5883.c

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mma655x.c \
	ao_hmc5883.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_mpu6000.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v1.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF) -Os -g

PROGNAME=easymega-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/easymega-v2.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_mpu9250.h \
	ao_adxl375.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mpu9250.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v2.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF) -Os -g

PROGNAME=easymega-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/fox1ihu/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_watchdog.h \
	ao_storage.h \
	ao_task.h \
	stm32l.h \
	ao_sdcard.h \
	ao_bufio.h \
	ao_fat.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_adc_stm.c \
	ao_data.c \
	ao_storage.c \
	ao_mr25.c \
	ao_sdcard.c \
	ao_bufio.c \
	ao_fat.c \
	ao_watchdog.c

PRODUCT=Fox1IHU-v2
PRODUCT_DEF=-DFOX
IDPRODUCT=0x0024

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF) -Os -g

PROGNAME=fox1ihu-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_fox1ihu.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/lambdakey-v1.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

aoschemelib=$(shell pkg-config --variable=aoschemelib ao-scheme)

include $(aoschemelib)/Makefile-scheme

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	$(SCHEME_HDRS) \
	ao_scheme_const.h \
	stm32f0.h \
	Makefile

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_cmd.c \
	ao_led_stmf0.c \
	ao_notask.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_usb_stm.c \
	ao_romconfig.c \
	$(SCHEME_SRCS)

PRODUCT=LambdaKey-v1.0
PRODUCT_DEF=-DLAMBDAKEY
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) -I. -I$(aoschemelib) $(STMF0_CFLAGS) -Os -g

PROGNAME=lambdakey-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_lambdakey.c
OBJ=$(SRC:.c=.o)

bletch:
	echo lib is $(aoschemelib)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_scheme_const.h: ao-scheme-make-const ao_scheme_basic_syntax.scheme
	$^ -o $@ -d FLOAT,VECTOR,QUASI,BIGINT,POSIX,PORT,SAVE,UNDEF

load: $(PROG)
	stm-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx ao_scheme_const.h
	rm -f ao_product.h

install:

uninstall:

=== src/microkite/Makefile ===
#
# Tiny AltOS build
#
#
vpath % ../attiny:../drivers:../kernel:../product:..
vpath ao-make-product.5c ../util
vpath make-altitude-pa ../util

include ../avr/Makefile.defs

PROGNAME=microkite-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SCRIPT=microkite-load

PUBLISH_DIR=$(HOME)/altusmetrumllc/Binaries
PUBLISH_HEX=$(PUBLISH_DIR)/$(HEX)
PUBLISH_SCRIPT=$(PUBLISH_DIR)/$(SCRIPT)

MCU=attiny85
DUDECPUTYPE=t85
#PROGRAMMER=stk500v2 -P usb
LOADSLOW=-i 32 -B 32
LOADARG=-p $(DUDECPUTYPE) -c $(PROGRAMMER) -e -U flash:w:

#LDFLAGS=-L$(LDSCRIPTS) -Tavr25.x

ALTOS_SRC = \
	ao_micropeak.c \
	ao_spi_attiny.c \
	ao_led_tiny.c \
	ao_clock.c \
	ao_ms5607.c \
	ao_exti.c \
	ao_convert_pa.c \
	ao_report_micro.c \
	ao_notask.c \
	ao_eeprom_tiny.c \
	ao_panic.c \
	ao_log_micro.c \
	ao_async.c \
	ao_microflight.c \
	ao_microkalman.c

INC=\
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_exti.h \
	ao_ms5607.h \
	ao_log_micro.h \
	ao_micropeak.h \
	altitude-pa.h

IDPRODUCT=0
PRODUCT=MicroKite-v0.1
PRODUCT_DEF=-DMICROPEAK
CFLAGS = $(PRODUCT_DEF) -I. -I../attiny -I../kernel -I.. -I../drivers -I../product
CFLAGS += -g -mmcu=$(MCU) -Wall -Wstrict-prototypes -O2 -mcall-prologues -DATTINY

NICKLE=nickle

SRC=$(ALTOS_SRC)
OBJ=$(SRC:.c=.o)

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG) $(HEX) microkite-load

CHECK=sh ../util/check-avr-mem

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)
	$(call quiet,CHECK) $(PROG) || ($(RM) -f $(PROG); exit 1)

$(HEX): $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@


load: $(HEX)
	$(LOADCMD) $(LOADARG)$(HEX)

load-slow: $(HEX)
	$(LOADCMD) $(LOADSLOW) $(LOADARG)$(HEX)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.o: ao_product.c ao_product.h

%.o : %.c $(INC)
	$(call quiet,CC) -c $(CFLAGS) $<

distclean:	clean

clean:
	rm -f *.o $(PROG) $(HEX) $(SCRIPT)
	rm -f ao_product.h

publish: $(PUBLISH_HEX) $(PUBLISH_SCRIPT)

$(PUBLISH_HEX): $(HEX)
	cp -a $(HEX) $@

$(PUBLISH_SCRIPT): $(SCRIPT)
	cp -a $(SCRIPT) $@

load-product:
	./$(SCRIPT) fast

load-product-slow:
	./$(SCRIPT) slow

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

$(SCRIPT): $(SCRIPT).tmpl Makefile ../Version
	sed -e 's/%HEX%/$(HEX)/' -e 's/%LOADCMD%/$(LOADCMD)/' -e 's/%LOADARG%/$(LOADARG)/' -e 's/%LOADSLOW%/$(LOADSLOW)/' $(SCRIPT).tmpl > $@ || (rm $@ && exit 1)
	chmod +x $@

install:

uninstall:

$(OBJ): ao_product.h $(INC)

=== src/micropeak-v2.0/Makefile ===
#
# Tiny AltOS build
#
#

include ../stmf0/Makefile.defs

PUBLISH_DIR=$(HOME)/altusmetrumllc/Binaries
PUBLISH_HEX=$(PUBLISH_DIR)/$(HEX)

MICRO_SRC=\
	ao_report_micro.c \
	ao_log_micro.c \
	ao_microflight.c \
	ao_microkalman.c

ALTOS_SRC = \
	ao_micropeak.c \
	ao_spi_stm.c \
	ao_dma_stm.c \
	ao_led_stmf0.c \
	ao_timer.c \
	ao_ms5607.c \
	ao_exti_stm.c \
	ao_convert_pa.c \
	ao_romconfig.c \
	ao_product.c \
	ao_panic.c \
	ao_stdio.c \
	ao_serial_stm.c \
	ao_usb_stm.c \
	ao_mutex.c \
	ao_interrupt.c \
	ao_cmd.c \
	ao_task.c \
	ao_data.c \
	ao_boot_chain.c \
	ao_microflight.c \
	ao_report_micro.c \
	ao_storage_stm.c \
	ao_storage.c \
	ao_log_micro.c \
	ao_microkalman.c

INC=\
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_exti.h \
	ao_ms5607.h \
	ao_log_micro.h \
	ao_micropeak.h \
	altitude-pa.h \
	stm32f0.h

IDPRODUCT=0x14
PRODUCT=MicroPeak-v2.0
PRODUCT_DEF=-DMICROPEAK

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS) -g -Os

PROGNAME=micropeak-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC)
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

LDFLAGS=$(CFLAGS) -L$(TOPDIR)/stmf0 -Wl,-Tmicropeak.ld -n

$(PROG): Makefile $(OBJ) micropeak.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.o: ao_product.c ao_product.h

distclean:	clean

clean:
	rm -f *.o *.elf *.ihx
	rm -f ao_product.h

publish: $(PUBLISH_HEX)

$(PUBLISH_HEX): $(HEX)
	cp -a $(HEX) $@

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

install:

uninstall:

$(OBJ): ao_product.h $(INC)

=== src/micropeak/Makefile ===
#
# Tiny AltOS build
#
#
vpath % ../attiny:../drivers:../kernel:../product:..
vpath ao-make-product.5c ../util
vpath make-altitude-pa ../util

include ../avr/Makefile.defs

PROGNAME=micropeak-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SCRIPT=micropeak-load

PUBLISH_DIR=$(HOME)/altusmetrumllc/Binaries
PUBLISH_HEX=$(PUBLISH_DIR)/$(HEX)
PUBLISH_SCRIPT=$(PUBLISH_DIR)/$(SCRIPT)

MCU=attiny85
DUDECPUTYPE=t85
#PROGRAMMER=stk500v2 -P usb
LOADSLOW=-i 32 -B 32
LOADARG=-p $(DUDECPUTYPE) -c $(PROGRAMMER) -e -U flash:w:

#LDFLAGS=-L$(LDSCRIPTS) -Tavr25.x

ALTOS_SRC = \
	ao_micropeak.c \
	ao_spi_attiny.c \
	ao_led_tiny.c \
	ao_clock.c \
	ao_ms5607.c \
	ao_exti.c \
	ao_convert_pa.c \
	ao_report_micro.c \
	ao_notask.c \
	ao_eeprom_tiny.c \
	ao_panic.c \
	ao_log_micro.c \
	ao_async.c \
	ao_microflight.c \
	ao_microkalman.c

INC=\
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_exti.h \
	ao_ms5607.h \
	ao_log_micro.h \
	ao_micropeak.h \
	altitude-pa.h

IDPRODUCT=0
PRODUCT=MicroPeak-v0.1
PRODUCT_DEF=-DMICROPEAK
CFLAGS = $(PRODUCT_DEF) -I. -I../attiny -I../kernel -I.. -I../drivers -I../product
CFLAGS += -g -mmcu=$(MCU) -Wall -Wstrict-prototypes -O2 -mcall-prologues -DATTINY

NICKLE=nickle

SRC=$(ALTOS_SRC)
OBJ=$(SRC:.c=.o)

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG) $(HEX) micropeak-load

CHECK=sh ../util/check-avr-mem

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)
	$(call quiet,CHECK) $(PROG) || ($(RM) -f $(PROG); exit 1)

$(HEX): $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@


load: $(HEX)
	$(LOADCMD) $(LOADARG)$(HEX)

load-slow: $(HEX)
	$(LOADCMD) $(LOADSLOW) $(LOADARG)$(HEX)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.o: ao_product.c ao_product.h

%.o : %.c $(INC)
	$(call quiet,CC) -c $(CFLAGS) $<

distclean:	clean

clean:
	rm -f *.o *.elf *.ihx $(SCRIPT)
	rm -f ao_product.h

publish: $(PUBLISH_HEX) $(PUBLISH_SCRIPT)

$(PUBLISH_HEX): $(HEX)
	cp -a $(HEX) $@

$(PUBLISH_SCRIPT): $(SCRIPT)
	cp -a $(SCRIPT) $@

load-product:
	./$(SCRIPT) fast

load-product-slow:
	./$(SCRIPT) slow

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

$(SCRIPT): $(SCRIPT).tmpl Makefile ../Version
	sed -e 's/%HEX%/$(HEX)/' -e 's/%LOADCMD%/$(LOADCMD)/' -e 's/%LOADARG%/$(LOADARG)/' -e 's/%LOADSLOW%/$(LOADSLOW)/' $(SCRIPT).tmpl > $@ || (rm $@ && exit 1)
	chmod +x $@

install:

uninstall:

$(OBJ): ao_product.h $(INC)

=== debian/changelog ===
altos (1.9-3) unstable; urgency=medium

  * cherry-pick commit that makes builds reproducible

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Feb 2019 23:02:33 -0700

altos (1.9-2) unstable; urgency=medium

  * Revert "elide pdf files from delivered docs until ruby-asciidoctor-pdf escapes NEW"
  * add ruby-asciidoctor-pdf to build deps
  * cherry-pick fix for ao-cal-accel, quilt-style
  * cherry-pick patch that fixes doc versions, quilt-style

 -- Bdale Garbee <bdale@gag.com>  Fri, 04 Jan 2019 14:59:55 -0700

altos (1.9-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture changes to Releasing discovered during 1.8.7 release
  * update turnon_telebt to use new approach for saving cal value on TeleBT
  * doc: add bootloader force instructions for TeleBT v4.0
  * altos: first cut at easymega v2.0 support .. nothing working yet
  * altos: remove teleterra-v0.1, also an ancient cc1111 project
  * altos: remove telepyro-v0.1 support, which was never completed anyway
  * altos: remove megadongle-v0.1 support, never went beyond prototype
  * altos: remove teledongle-v1.8 support (what was that, anyway?!?)
  * altos: remove telescience support
  * altos: remove usbtrng support (chaoskey prototypes)
  * altoslib: fix computation of TeleGPS battery voltage
  * update build depends to reflect move to asciidoctor
  * eliminate spurious build dependencies now that we're using asciidoctor
  * update easymega turn-on script for v2.0
  * ao-bringup: get turnon_easymega working for v2.0
  * changelog for 1.9 release
  * update changelog for Debian build
  * use ChangeLog from branch-1.9 in unmolested form
  * need to run autoreconf before calling dh_auto_configure
  * elide pdf files from delivered docs until ruby-asciidoctor-pdf escapes NEW
  * update changelog for Debian build
  * update build dependencies to include newlib-nano, elide cc1111
  * fix dep5 copyright syntax
  * add lintian overrides

  [ Keith Packard ]
  * altosdroid: Bump version to 18 for 1.8.7
  * altos/stm: Make flash loader work with either 8MHz or 16MHz xtal
  * altos: use %lu for APRS altitude in sprintf
  * altos: Remove cc1111 products
  * altos: Switch to newlib-nano for libc on arm
  * Remove pdclib
  * altos: Remove *_TO_DATA macros
  * altos: Remove 8051 address space specifiers
  * altos: Make cmd number parsing functions return value
  * altos: Use stdbool true/false instead of TRUE/FALSE
  * altos: Allow application-specific prompts for ao_cmd_readline
  * altos: Delete random 8051 ISR declarations
  * altos: Remove 8051-ism from ao_usb.h
  * altos/stm32f4: Start adding support for STM32F413
  * altos/stm32f4: Add STM32F413 disco board support
  * altos/stm32f4: Fix clock configuration
  * altos: Eliminate 'pin' field from GPIO functions
  * altos: Add generic LED driver.
  * altos/stm32f4-disco: Add .gitignore
  * altos/stm32f4: Align stack to 8 bytes
  * altos/stm32f4: Add usart driver for usart6
  * altos/stm32f4: Use full printf/scanf (including floats)
  * altos/stm32f4: Place ARM.exidx sections after .text
  * altos/stm32f4-disco: Hook up serial console. Add scheme
  * altos: Clean up AO_ROMCONFIG bits
  * altos/stm32f4: Add more stm32f413 definitions and support code
  * altos/stm32f4: Add external interrupt bits
  * altos/stm32f4: Add stm32f413 USART support
  * altos/stm32f4: Add start of stm32f413 USB support
  * altos/stm32f4-disco: Start hooking up stm32f413 USB for the disco board
  * Bump version to 1.8.7.1
  * Remove .gitmodules
  * altos: Remove pdclib bits from Makefile
  * altos/drivers: Use stdbool in ao_ms5607.c
  * altos: Create ao_data_fill shared function
  * altos/stm: Make beeper driver support all possible tim234 configs
  * altos/stm: Support SPI modes other than 0
  * altos: Add ADXL375 driver [v2]
  * altos/easymega-v2.0: Change binary to easymega-v2.0 instead of easymega-v1.0
  * altos/easymega-v2.0: Add adxl375, replace mpu6000 with 9250 [v2]
  * altos: Add EasyMega v2.0 to default build
  * altoslib: Add ADXL375 support and EasyMega v2.0 support
  * altosui: Add EasyMega v2.0 firmware to release
  * altos/adxl375: Clean up initialization, shortening self test period
  * altoslib: Add support for TeleGPS v2
  * altoslib: Add support for EasyMega-v2
  * altos/easymega-v2.0: Handle different mpu9250 orientation
  * altoslib: When flashing hardware, pull USB data from device if needed
  * Add keywords to .desktop files
  * ao-tools: Spelling fixes in a couple of man pages
  * Don't force CFLAGS from top level
  * Generate LED icons on the fly. Include SVG versions.
  * debian: Add cairo-5c as build dependency
  * debian: Clean trailing whitespace in changelog
  * debian: Switch to machine-readable copyright format
  * debian: use dh_auto_configure instead of open-coding configuration
  * doc: Switch to asciidoctor to format docs
  * Remove cc1111 products from 'fat_altos' list, which is used for keithp-fat
  * doc: Remove asciidoc related files
  * doc: Use icons for admonitions
  * altos: Make HAS_ACCEL_DEBUG build again
  * altos: Don't validate ADXL375 self test for maximum value
  * altoslib: Remove spurious debug printf in AltosCalData
  * Add shipping products to fat_altos target, note that in Releasing
  * doc: Update doc/RELNOTES to adapt to asciidoctor change
  * doc: Add EasyMega v2.0 specs
  * doc: Set doc version to 1.9
  * doc: Add 1.9 release notes
  * Change Releasing to reflect asciidoctor switch
  * Update to version 1.9
  * doc: Skip .pdf generation when asciidoctor-pdf is missing

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Jan 2019 23:42:19 -0700

altos (1.8.7-2) unstable; urgency=medium

  * elide map-server from set of directories built and installed by
    default.  Eventually, we'll refactor to put that in a new binary
    package...

 -- Bdale Garbee <bdale@gag.com>  Tue, 09 Oct 2018 09:55:40 -0600

altos (1.8.7-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * capture updates to Releasing from 1.8.6 release process
  * altos: don't build fox1ihu by default


=== debian/control ===
Source: altos
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: asciidoctor,
               ruby-asciidoctor-pdf,
               strip-nondeterminism,
               autoconf,
               automake,
               debhelper (>= 10),
               default-jdk,
	       faketime,
               freetts,
               gawk,
               gcc-arm-none-eabi,
               libnewlib-nano-arm-none-eabi,
               graphicsmagick | imagemagick,
               graphviz,
               icnsutils,
               icoutils,
               libbluetooth-dev,
               libelf-dev,
	       libjansson-dev,
               gtk-update-icon-cache,
               libjfreechart-java,
               libreadline-dev,
               librsvg2-bin,
               libtool,
               libusb-1.0-0-dev,
               netpbm,
               nickle,
	       cairo-5c,
               pkg-config,
               shared-mime-info,
               swig
Standards-Version: 4.3.0
Homepage: http://altusmetrum.org/AltOS
Vcs-Git: git://git.gag.com/fw/altos -b debian
Vcs-Browser: http://git.gag.com/?p=fw/altos

Package: altos
Architecture: any
Depends: default-jre | java2-runtime,
         freetts,
         libjfreechart-java,
         nickle,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: slim | gdm
Replaces: altusmetrum-themes, slim-altusmetrum
Conflicts: altusmetrum-themes, slim-altusmetrum
Description: Altus Metrum firmware and utilities
 Firmware and utilities needed to support high power model rocketry products
 from Altus Metrum, including TeleMetrum, TeleMini, and TeleDongle.
 .
 See http://altusmetrum.org/ for more information.

## altos 1.9.1

=== src/Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 vpath load_csv.5c kalman
 vpath matrix.5c kalman
 
-include Version
 TOPDIR=.
+
 include Makedefs
 
 ARMM3DIRS=\
@@ -37,8 +37,10 @@
 	telebt-v3.0 telebt-v3.0/flash-loader \
 	telebt-v4.0 telebt-v4.0/flash-loader \
 	telelcotwo-v0.1 telelcotwo-v0.1/flash-loader \
+	telefireone-v1.0 telefireone-v1.0/flash-loader \
 	telefiretwo-v0.1 telefiretwo-v0.1/flash-loader \
-	telefireeight-v1.0 telefireeight-v1.0/flash-loader 
+	telefireeight-v1.0 telefireeight-v1.0/flash-loader \
+	telefireeight-v2.0 telefireeight-v2.0/flash-loader 
 
 ARMM0DIRS=\
 	easymini-v1.0 easymini-v1.0/flash-loader \
@@ -48,7 +50,7 @@
 	micropeak-v2.0 micropeak-v2.0/flash-loader
 
 AVRDIRS=\
-	micropeak microkite
+	micropeak microkite microsplash
 
 SUBDIRS=

=== debian/changelog ===
altos (1.9.1-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * updates to Releasing based on 1.9 release process learnings
  * doc: add flash-force instructions for TeleBT v3.0
  * doc: add force-bootloader instructions for TeleGPS v1 and v2
  * altos: add support for telefireeight-v2.0
  * altos: add telefireeight-v2.0 to src/Makefile and to Releasing
  * Makefiles, too
  * altos: add initial support for TeleFireOne v2.0
  * altos: ADS124S0X driver compiles with initialization code maybe completed
  * altos: first cut of code for telefireone-v2.0
  * doc: new TeleLaunch system manual
  * doc: actually add the telelaunch files
  * altos: first cut at ADS124S0X driver interrupt handling
  * altos: fix ads124s0x data structure
  * altos: ADS124S0X driver compiles now
  * altos: snapshot - working on ads124x0x driver
  * altos: ads124s0x successfully reading data
  * add an explicit reference to Poron open-cell foam in Appendix A
  * ao-bringup: add a turnon_telefireeight script
  * TeleFireEight has simple green LEDs for continuity
  * doc: add more text to TeleLaunch manual, be less sloppy with dBm assertions
  * doc: add some text to TeleLaunch troubleshooting about SAFE/ARM on TeleFire
  * doc: add some text about cross-bank drag race safe/arm to TeleLaunch manual
  * altosui: add monitor idle support for TeleMetrum v3
  * altosui: add TeleMetrum v3 to delivered firmware list
  * altosuilib: TeleMetrum v3, like v2, doesn't use flash for config
  * ao-bringup: add production test support for TeleMetrum v3.0
  * start the process of releasing 1.9.1
  * update release date in all documents
  * update ChangeLog for 1.9.1 release

  [ Keith Packard ]
  * doc: Update all docs to 1.9. Note this in doc/RELNOTES
  * ao-tools: Add lots of compiler warning flags to ao-tools build
  * ao-tools: Fix warnings in ao-tools
  * ao-tools/ao-load: Return status from 'rewrite'
  * ao-tools/ao-cal-accel: Initialize byte count var 'l'
  * ao-tools/ao-telem: Print out 'log_max' value. Clean up compiler warnings.
  * Remove ao-chaosread
  * doc: Fix typo in TeleBT v3 flash-force instructions
  * altos: Delete unused config bits for telefireeight-v2.0. Add Makefile
  * altos/telefireeight-v2.0: Add flash loader Makefile
  * Use strip-nondeterminism to fix JAR timestamps
  * altos: Fix spelling of stm_dma_ch4_5_6_isr
  * altos/stm: Note that ao_i2c_recv_dma_isr isn't actually used
  * altos: Mark local functions 'static'
  * altos: Declare all public functions in header files
  * altos: Add 'void' to function declarations with no params.
  * altos: Stop doing pointer arith on void *
  * altos: Remove unused ao_adc_get from ao_adc_stm.c
  * altos: Declare task stack as union of uint8_t and uint32_t
  * altos: Add a pile more compiler warnings
  * stm: Expose LCD font API in ao_lcd_font.h
  * ao-bringup: chaosread is no longer part of altos
  * ao-tools/ao-dump-up: Document --wait flag
  * altos/stm-demo: Make this build again after various API and CFLAGS changes
  * altos: Add -Wshadow to CFLAGS
  * altos/attiny: Mark 'mode' param to ao_exti_setup_port as used
  * altos: Move common build definitions to src/Makefile.defs
  * altos: Remove AO_LOG_STATE from ao_log_telefiretwo
  * altos/telefireone-v1.0: Doesn't have a beeper
  * altos/telefireone-v1.0: Clean up Makefile
  * altos/telefireone-v1.0: Turn off USE_INTERNAL_FLASH
  * altos/telefireone-v1.0: Set AO_LOG_FORMAT
  * altos/telefireone-v1.0: Set various ADC values
  * altos/telefireone-v1.0: Track ao_led_init API change
  * altos: Build telefireone-v1.0 by default
  * altos/telefireone-v2.0: Remove build of ao_product.h from Makefile
  * altos: Fix ISR declarations to make them non-weak
  * altos: Allow applications to override newlib printf selection
  * altos: Fix several mis-specified time types
  * altos: Change default time type to 32-bits
  * altos: add ao_time_ns API
  * doc: A few minor edits to telelaunch docs
  * altos/drivers/ao_led.c: Declare LED port as void * to allow any SoC to use this code
  * altos: ARM ABI requires 8-byte aligned stack
  * altos/stm32f4: Add -mfloat-abi=hard compile option
  * altos/stm32f4: Need to read-back register after clock enable
  * altos/stm32f4: Wrong value for CK48MSEL_PLL_Q
  * altos/stm32f4: Working on USB
  * altos/stm32f4-disco: Remove scheme
  * doc: Document LEDs on TeleGPS devices
  * doc: Make sure all 'code' examples are in DejaVu Sans Mono
  * altos: Use ao_data_accel_invert when changing orientation value
  * altoslib: Fetch correct mag along data for EasyMega v2
  * altoslib: Correct monitor idle IMU data for EasyMega v2
  * altos/lambdakey-v1.0: Fix obvious build errors
  * altos: Work on MAX6691 driver
  * altos: get ao_max6691 driver working
  * altos/telefireone-v2.0: Definitions needed for MAX6691 driver
  * altos: Add MAX6691 and ADS131A0X data to ring if present
  * altos: Change MAX6691 driver to run its own thread
  * altos/telefireone-v2.0: Include MAX6691 data in ring
  * altos: Add preliminary TeleStatic v3.0 code
  * Add TeleStatic-v3.0 makefiles
  * altos: Directly compute radio tuning values from frequency
  * doc: Describe what sunlight does to MicroPeak and how to protect it
  * altosui: Ship EasyMini v2.0 firwmare
  * doc: Say 'thousands of feet' instead of '3000-4000 feet'
  * altos: Support ao_ms5607_dump when no ms5607 task
  * altos/micropeak-v2.0: Don't run flight code when plugged in
  * altos/micropeak-v2.0: Wait for the power supply to stabilize before measuring
  * altos/micropeak-v2.0: Fix LED blinking sequence at power-on
  * altos/micropeak-v2.0: Go into standby mode after landing
  * altoslib: Always create an ordered record set for eeprom files
  * altosui/telegps: Display error message when attempting to graph unknown files
  * altos/micropeak-v2.0: expose log and config commands over USB
  * altoslib: Add support for MicroPeak v2 eeprom format
  * altos: Don't dump MS5607 eeprom in 'B' command
  * altos/micropeak-v2: Erase log space at end of BOOST_DELAY
